summaryrefslogtreecommitdiff
path: root/ubuntu/scripts/include/sh-test-lib
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu/scripts/include/sh-test-lib')
-rw-r--r--ubuntu/scripts/include/sh-test-lib62
1 files changed, 62 insertions, 0 deletions
diff --git a/ubuntu/scripts/include/sh-test-lib b/ubuntu/scripts/include/sh-test-lib
new file mode 100644
index 0000000..6c0e8f2
--- /dev/null
+++ b/ubuntu/scripts/include/sh-test-lib
@@ -0,0 +1,62 @@
+#!/bin/bash
+#
+# Shared shell library for test management
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Ricardo Salveti <rsalveti@linaro.org>
+#
+
+function error_msg() {
+ local msg=$1
+ test -z "$msg" && msg="Unknown error"
+ echo "ERROR: $msg" >&2
+ exit 1
+}
+
+function warn_msg() {
+ local msg=$1
+ test -z "$msg" && msg="Unknown error"
+ echo "WARNING: $msg\n" >&2
+}
+
+function check_return_fail() {
+ if [ $? -ne 0 ]; then
+ fail_test "$1"
+ return 0
+ else
+ return 1
+ fi
+}
+
+function fail_test() {
+ local reason=$1
+ echo "${TEST}: FAIL - ${reason}"
+}
+
+function pass_test() {
+ echo "${TEST}: PASS"
+}
+
+function check_root() {
+ if [ $UID -eq 0 ]; then
+ return 0
+ else
+ return 1
+ fi
+}
+